package fr.eni.enchere.bll;

import fr.eni.enchere.bo.Article;
import fr.eni.enchere.bo.SearchArticleCritere;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface ArticleService {

    List<Article> findAllArticle();
    List<Article> findByUser(int id);
    Article findArticleById(int id);
    int saveArticle(Article article);
    void deleteArticle(int id);
    int updateArticle(Article article);
    List<Article> findArticleByTitle(String title);
    Page<Article> searchArticlePageable(SearchArticleCritere critere, Pageable pageable);
    void setSellPrice(int id, float sellPrice);
}
